Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> Post Installation Help
Author Message
pureliving
Worker
Worker


Joined: Dec 01, 2008
Posts: 180

PostPosted: Sat Dec 06, 2008 5:56 pm Reply with quote

Whats been made different with raven nuke and the config of it.
OK raven nuke yes is new to me, workable like php nuke; better, but why is it so many modules, add ons etc, that usually work with php nuke, are not working with raven nuke.

I ask this because several times i have tried installing sevaral different modules to my website, that i had previously on my php nuke website, but for some reason will now not work with the raven nuke i now have.

For instance, friendfinder, several times i have tried installing the database tables via the install-friendfinder.php file, but i keep getting this error:

Warning: require_once(INCLUDE_PATHrnconfig.php) [function.require-once]: failed to open stream: No such file or directory in /home/admin/public_html/config.php on line 94

Fatal error: require_once() [function.require]: Failed opening required 'INCLUDE_PATHrnconfig.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/admin/public_html/config.php on line 94

Although when i do go to my admin area, the friendfinder module shows to be there and the admin area works as it should, but why will the install file not work is what i can not understand, and i have now had this same issue with a few different modules.

Can someone please advice me, so if future issues like this occur whatever whoever can explain to me, i can then use it every time.
It would be much appreciated to no how i can rectify this kind of issue.

Thankyou sincerely.
 
View user's profile Send private message
Palbin
Site Admin


Joined: Mar 30, 2006
Posts: 2583
Location: Pittsburgh, Pennsylvania

PostPosted: Sat Dec 06, 2008 9:04 pm Reply with quote

In config.php find this line (should be at the bottom).

Code:


require_once INCLUDE_PATH . 'rnconfig.php';


Right before it, add this:
Code:


if (!defined('INCLUDE_PATH')) define('INCLUDE_PATH','./');

_________________
"Debugging is twice as hard as writing the code in the first place. Therefore, if you write the code as cleverly as possible, you are, by definition, not smart enough to debug it." — Brian W. Kernighan. 
View user's profile Send private message
pureliving
PostPosted: Mon Dec 08, 2008 5:17 pm Reply with quote

Thankyou for your help with this, although it seems to have solved the issue, it seems while i install the friendfinder database tables, i seem to get this error:

[An error occur while creating nuke_user_friendslist in your database!

An error occur while creating nuke_user_mailmessage in your database!

data have been inserted into table nuke_user_mailmessage created successfully!

Go to main page...
table nuke_user_photo created successfully!

Go to main page...
table nuke_user_profile2 created successfully!

Go to main page...
table nuke_user_profile1 created successfully!

Go to main page...]

Any advice would highly be appreciated.

Thankyou.
 
Guardian2003
Site Admin


Joined: Aug 28, 2003
Posts: 6792
Location: Ha Noi, Viet Nam

PostPosted: Tue Dec 09, 2008 3:20 am Reply with quote

Did you check to see if the tables were actually created?
If they were, then it seems like the error handling for the install script is not working - possibly because it didn't handle correctly the scenario where the tables were already installed?
 
View user's profile Send private message Send e-mail
montego
Site Admin


Joined: Aug 29, 2004
Posts: 9449
Location: Arizona

PostPosted: Tue Dec 09, 2008 6:22 am Reply with quote

It is also possible that the script is not compatible with the version of MySQL that you are running. This can easily happen when the script is quite old and your MySQL is newer, or, sometimes, vice-versa.

_________________
Only registered users can see links on this board! Get registered or login!
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
pureliving
PostPosted: Thu Dec 18, 2008 8:23 pm Reply with quote

Well i am actually using the latest MySQL5 and PHP5, does this therefore indicate a problem with nuke modules then?

Since my last response, and after donating to hi5jamaica for the latest version of friendfinder-315u, i once again attempted to install friendfinder, but now this time everything seems just as bad, but different, and i just can not understand why.

What it is i have uploaded all contents as instructed in the readme file, and imported the sql file to insert database tables; everything seems to have gone well, but when i now go to my admin, activate the module as required, then click on the friendfinder admin icon, i get a 500 internal server error, and when i click friendfinder from within the site navigation bar i get a white blank page.

Would anyone be able to advice me further with this issue, as it is a very troublesome problem that now seems like its taking to long to solve.

I originally had this program working correctly upon my old php nuke website version 8.0, but now i have raven nuke 3.0, i just can not get it to work.
Why is what i can not figure out. I have also had a third party look into this and this is there response:

Quote:

[You need to make sure that your modules are all up to date the sql_query is showing as an invalid function. When I switch you over to php4 it does not show the error in the log file, however the site still does not display. Make sure your modules/scripts are all mysql5/php5 compatible.]


Although i do have a blank index page in place to refrain my site being shown until i am ready, do you think this could effect some programs working, as i did not think it would, but nevertheless exactly why programs like friendfinder won't work it what i can not understanding.

I have now also noticed i get the exact same error when i also install programs such as Diary from phpnuke-downloads.com and Nuke Comics, but why and what can be done to solve these kind of issues.

It would really be appreciated to know if anyone else as any idea as to a solution.
Thankyou sincerely.
 
Guardian2003
PostPosted: Fri Dec 19, 2008 1:31 am Reply with quote

I have to assume you mean RavenNuke version 2.3 not 3.0 as 2.3 is the latest release as of the date of this post.
The 500 error along with your quoted text leads me to believe that FriendFinder is using the old $dbi abstraction layer which is no longer supported. This has nothing to do with your PHP version and even phpNuke warned that this method ($dbi) of accessing the database should not be used over four years ago.
You really have three choices;
Contact the the script author and ask him why he is still using the old method and to fix the script;
fix the script yourself;
pay someone else to fix the script
 
pureliving
PostPosted: Fri Dec 19, 2008 6:49 am Reply with quote

Yes thankyou for that, i believe that is exactly the case as this is what my host has to say:

Quote:

The reason for this error is the plugin isn't coded properly to work with the script. sql_query() is a method for a class, in raven nuke it most likely needs to be called as "$db->sql_query", not just "sql_query". This is why it gives the fatal error. You would need to change all the sql functions in the plugin as appropriate, however I'd recommend contacting the author of the plugin as their may be an easier fix (or patched files).


I have contact the hi5jamaica admin, whom are assisting me further and that i have informed of this topic, but just for clarification and timing purposes, does anyone know of a somewhere where there may be a fix or patch that could solve this kind of issue?

xxx
 
Guardian2003
PostPosted: Fri Dec 19, 2008 7:08 am Reply with quote

Well I must admit, it makes a refreshing change to see a host actually helping a customer instead of fobbing them off with the usual BS so I take my hat off to them for that.

The script needs to be fixed by the author, or get someone else to do it for you, thats the bottom line.

There are ways around it but I am not going to reveal that as it just perpetuates the cycle of using out dated or sub-standard coding techniques or methodologies. I know that wasn't what you wanted to hear.
Have you contacted the script author?
 
pureliving
PostPosted: Fri Dec 19, 2008 10:41 am Reply with quote

Well to tell you the truth i am surprised really as they usually do, saying it's third party problems, so yeah hands up for that.

I have contact the author and this is what they had to say:

Quote:

These fixes can be done but I am not prepared to work on them now. In the early part of next year I will recode the script.

Sorry I cant help any more.


So now i am left stuck, but where the author states recode the script, and my host explains database sql query needs changing to how raven calls the sql functions in plugins, how within the scripts would i change this sql function to the correct one, if i were to recode every instance of this.

It would be appreciated if this could be explained, although apart from the sql functions, do you think there would be anything else that would require being altered?

Thankyou sincerely.
 
Guardian2003
PostPosted: Fri Dec 19, 2008 11:07 am Reply with quote

Thats pretty poor from the script vendor, I'll do it myself as soon as my other client work is out of the way.
Please PM me your website url and ftp log-in details and I'll apply a temporary fix.
 
jakec
Site Admin


Joined: Feb 06, 2006
Posts: 3048
Location: United Kingdom

PostPosted: Fri Dec 19, 2008 11:17 am Reply with quote

Looks like Guardian is on the case, but for future information this post gives details on what needs to be changed.
Only registered users can see links on this board! Get registered or login!

As always if you give it a go, test on a local system first before using on a production site.
 
View user's profile Send private message
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> Post Installation Help

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©